package yi.iu.processor.ort;

public class ORTSegment
{
   int    StringStart;        /* Start of segment along string */
   int    StringEnd;          /* End of segment along string */
   ORTPoint Start;     /* Start point of the segment */
   ORTPoint End;       /* End point of the segment */
   ORTPoint MidPoint;  /* Midpoint of the segment */
   ORTPoint VLPoint;   /* Midpoint of the line joining end points */
   ORTPoint JctPoint;  /* Junction point signifying center of curvature */
   double VLTheta;         	  /* Orientation of line joining end points */
   public ORTSegment()
   {
    Start=new ORTPoint();     /* Start point of the segment */
    End=new ORTPoint();       /* End point of the segment */
    MidPoint=new ORTPoint();  /* Midpoint of the segment */
    VLPoint=new ORTPoint();   /* Midpoint of the line joining end points */
    JctPoint=new ORTPoint();  /* Junction point signifying center of curvature */

   }
    
}